Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App listing
  • App software
  • App version listing
  • Assets
  • Developer space
  • Migrations
  • Parent software
  • Privacy and security
  • Reporting
  • Reviews
Platform
Atlassian Marketplace / Reference / Marketplace REST API (v3)

Reviews

Postman Collection
OpenAPI
GET

Get app reviews

Get a list of reviews for the specified product. This resource allows you to retrieve reviews with filtering and pagination options. Reviews can be filtered by hosting type, sorted by various criteria, and paginated using cursors. This resource requires authentication.

helpful: /rest/3/products/{productId}/reviews?sort=helpful

Sample response

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 { "productId": "acd011b1-1111-45bc-902a-247046a11111", "reviews": [ { "content": "This app solved our workflow issues completely.", "responseContent": "We're thrilled to hear this helped your workflow!", "stars": 4, "date": "2025-01-12T08:15:00Z", "totalVotes": 15, "helpfulVotes": 14, "productHosting": "cloud", "isFlagged": false } ], "cursor": "eyJkYXRlIjoiMjAyNS0wMS0xMiIsImlkIjoiNjc4OTAifQ==", "count": 1, "averageStars": 4.0 }

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

productId

string

Required

Query parameters

sort

string

cursor

string

limit

integer

hosting

string

Responses

List of reviews retrieved successfully

application/json

ReviewsResponse

Response object for app reviews

GET/rest/3/products/{productId}/reviews
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/products/{productId}/reviews' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 { "productId": "acd011b1-1111-45bc-902a-247046a11111", "reviews": [ { "id": "fac62ba6-a41d-4ff2-91fc-eec51a1109ijn", "content": "Great app! Very helpful for our team.", "responseContent": "Thank you for the feedback!", "stars": 4, "date": "2025-01-15T10:30:00Z", "totalVotes": 8, "helpfulVotes": 6, "productHosting": "cloud", "isFlagged": false }, { "id": "86551fe0-5f38-43f4-iok92-7ef753efbf16", "content": "Good functionality but could use better documentation.", "responseContent": "", "stars": 4, "date": "2025-01-10T14:22:00Z", "totalVotes": 3, "helpfulVotes": 2, "productHosting": "server", "isFlagged": false } ], "cursor": "eyJkYXRlIjoiMjAyNS0wMS0xMCIsImlkIjoiMTIzNDUifQ==", "count": 2, "averageStars": 4 }
GET

Get app review by review ID

Get a specific review for the specified product by its review ID. This resource allows you to retrieve detailed information about a single review. This resource requires authentication.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

productId

string

Required
reviewId

string

Required

Responses

Review retrieved successfully

application/json

AppReview

Individual review object

GET/rest/3/products/{productId}/reviews/{reviewId}
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/products/{productId}/reviews/{reviewId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "id": "48875257-23bb-4ba2-87nb-83cdfee59e52", "content": "Excellent app with great customer support!", "responseContent": "Thank you for your kind words and for choosing our app!", "stars": 3, "date": "2025-01-14T16:45:00Z", "totalVotes": 12, "helpfulVotes": 11, "productHosting": "cloud", "isFlagged": false }
PUT

Respond to a review

Add or update a response to a review for the specified product. This resource allows app developers to respond to customer reviews. This resource requires authentication and proper authorization.

Note: The API request example shows how to submit a response to a review.

Sample request

1 2 3 { "responseContent": "Thank you for your feedback! We're glad you found our app helpful. We're continuously working to improve our features based on customer input." }

Response

1 HTTP/1.1 204 No Content

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

productId

string

Required
reviewId

string

Required

Request bodyapplication/json

responseContent

string

Required

Responses

Review response updated successfully

PUT/rest/3/products/{productId}/reviews/{reviewId}/response
1 2 3 4 5 6 7 curl --request PUT \ --url 'https://api.atlassian.com/marketplace/rest/3/products/{productId}/reviews/{reviewId}/response' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "responseContent": "<string>" }'
DEL

Delete response to a review

Delete a response to a review for the specified product. This resource allows app developers to remove their responses to customer reviews. This resource requires authentication and proper authorization.

Note: The API response example shows a successful deletion.

Response

1 HTTP/1.1 204 No Content

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

productId

string

Required
reviewId

string

Required

Responses

Review response deleted successfully

DEL/rest/3/products/{productId}/reviews/{reviewId}/response
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/marketplace/rest/3/products/{productId}/reviews/{reviewId}/response' \ --user 'email@example.com:<api_token>'

Rate this page: